package com.xhpc.charging.station.service;

import com.xhpc.common.core.domain.R;
import com.xhpc.common.core.web.domain.AjaxResult;
import com.xhpc.common.domain.TimingTerminalDeactivate;

import java.util.List;

/**
 * @author yuyang
 * @Date 2026-05-08 13:40
 */
public interface ITimingTerminalDeactivateService {
    /**
     * 查询桩停用调整
     */
    public TimingTerminalDeactivate selectTimingTerminalDeactivateById(Long id);

    /**
     * 查询桩停用调整列表
     */
    public List<TimingTerminalDeactivate> selectTimingTerminalDeactivateList(TimingTerminalDeactivate deactivate);

    /**
     * 新增桩停用调整
     */
    public R insertTimingTerminalDeactivate(TimingTerminalDeactivate deactivate);

    /**
     * 修改桩停用调整
     */
    public R updateTimingTerminalDeactivate(TimingTerminalDeactivate deactivate);

    /**
     * 批量删除桩停用调整
     */
    public int deleteTimingTerminalDeactivateByIds(List<Long> ids);

    /**
     * 删除桩停用调整信息
     */
    public int deleteTimingTerminalDeactivateById(Long id);

    /**
     * 执行定时任务（开始调整）
     */
    public void executeStartAdjustment();

    /**
     * 执行定时任务（结束调整）
     */
    public void executeEndAdjustment();
}
